Package wx :: Module richtext :: Class RichTextImage

[frames | no frames]

## Type RichTextImage

    object --+
             |
        Object --+
                 |
    RichTextObject --+
                     |
                    RichTextImage

This object represents an image.

Method Summary
RichTextImage | ``__init__`(self, parent)` This object represents an image.
| `Copy(self, obj)`
Image | `GetImage(self)`
wxRichTextImageBlock | `GetImageBlock(self)`
bool | `LoadFromBlock(self)`
bool | `MakeBlock(self)`
| `SetImage(self, image)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent=None)
(Constructor)

This object represents an image.

  Parameters:
    `parent`
    (type=RichTextObject)

  Returns:
    RichTextImage
  Overrides:
    `wx.richtext.RichTextObject.__init__`

Property Details

### thisown

The membership flag

  Get Method:
    unknown-42979032(...)
  Set Method:
    unknown-42979152(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:58 2007 | http://epydoc.sf.net